Page MenuHomePhabricator

eo: improve efl_isa to be able to know if a class is part of the hierarchy of another class.
ClosedPublic

Authored by cedric on Jan 18 2019, 6:08 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jan 18 2019, 6:08 PM
cedric requested review of this revision.Jan 18 2019, 6:08 PM
SanghyeonLee accepted this revision.Jan 23 2019, 2:45 AM

I think this is what we required in T7704,
so I appreciate your fast feedback on this @cedric
for me, code looks fine,
but i'm no expert on eo, so leave the review to someone who know eo better than me.

This revision is now accepted and ready to land.Jan 23 2019, 2:45 AM
lauromoura added inline comments.Jan 23 2019, 6:11 AM
src/lib/eo/Eo.h
917

Typo? (s/am/an).

Maybe we could add more detail to the @return too: TRUE if obj implements klass or is an Efl_Class which inherits from/implements klass.

cedric updated this revision to Diff 18765.Jan 23 2019, 12:42 PM

Rebase and improve documentation.

cedric updated this revision to Diff 18824.Jan 24 2019, 4:27 PM

Rebase.

This revision was automatically updated to reflect the committed changes.